##############################################################################
# Copyright (c) 2013-2016, Lawrence Livermore National Security, LLC.
# Produced at the Lawrence Livermore National Laboratory.
#
# This file is part of Spack.
# Created by Todd Gamblin, tgamblin@llnl.gov, All rights reserved.
# LLNL-CODE-647188
#
# For details, see https://github.com/llnl/spack
# Please also see the LICENSE file for our notice and the LGPL.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License (as
# published by the Free Software Foundation) version 2.1, February 1999.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the IMPLIED WARRANTY OF
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the terms and
# conditions of the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##############################################################################
from spack import *
from spack.util.environment import *


class Cityhash(Package):
    """CityHash, a family of hash functions for strings."""

    homepage = "https://github.com/google/cityhash"
    url      = "https://github.com/google/cityhash"

    version('2013-07-31', git='https://github.com/google/cityhash.git',
            commit='8af9b8c2b889d80c22d6bc26ba0df1afb79a30db')
    version('master', branch='master',
            git='https://github.com/google/cityhash.git')

    def install(self, spec, prefix):
        configure('--enable-sse4.2', '--prefix=%s' % prefix)

        make()
        make("install")
